/*
 * $Id: client.h,v 1.2 2000/10/10 22:39:57 laik Exp $
 *
 *
 * Copyright (C) 1998 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __CLIENT_H__
#define __CLIENT_H__

#include "nettimer.h"

#include "kl_event.h"
#include "kl_parse_option.h"

struct Client;
typedef struct Client Client;

KLException *
client_new(KLEventManager *manager, KLParseOptionValue *args, Client **client_p);

void
client_delete(Client *client);

#endif
